org.apache.storm.sql.parser

## Class SqlCreateTable

- java.lang.Object
- - org.apache.calcite.sql.SqlNode
  - - org.apache.calcite.sql.SqlCall
    - - org.apache.storm.sql.parser.SqlCreateTable

- All Implemented Interfaces:
    Cloneable

      public class SqlCreateTable
      extends org.apache.calcite.sql.SqlCall

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.calcite.sql.SqlSpecialOperator` | `OPERATOR`

    - ### Fields inherited from class org.apache.calcite.sql.SqlNode

      `EMPTY_ARRAY, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlCreateTable(org.apache.calcite.sql.parser.SqlParserPos pos, org.apache.calcite.sql.SqlIdentifier tblName, org.apache.calcite.sql.SqlNodeList fieldList, org.apache.calcite.sql.SqlNode inputFormatClass, org.apache.calcite.sql.SqlNode outputFormatClass, org.apache.calcite.sql.SqlNode location, org.apache.calcite.sql.SqlNode parallelism, org.apache.calcite.sql.SqlNode properties, org.apache.calcite.sql.SqlNode query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ColumnDefinition>` | `fieldList()`
    `List<org.apache.calcite.sql.SqlNode>` | `getOperandList()`
    `org.apache.calcite.sql.SqlOperator` | `getOperator()`
    `String` | `inputFormatClass()`
    `URI` | `location()`
    `String` | `outputFormatClass()`
    `Integer` | `parallelism()`
    `Properties` | `properties()`
    `String` | `tableName()`
    `void` | `unparse(org.apache.calcite.sql.SqlWriter writer, int leftPrec, int rightPrec)`

    - ### Methods inherited from class org.apache.calcite.sql.SqlCall

      `accept, clone, equalsDeep, findValidOptions, getCallSignature, getFunctionQuantifier, getKind, getMonotonicity, isCountStar, isExpanded, operand, operandCount, setOperand, validate`

    - ### Methods inherited from class org.apache.calcite.sql.SqlNode

      `clone, cloneArray, equalDeep, equalDeep, equalsDeep, getParserPosition, isA, toSqlString, toSqlString, toString, validateExpr`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OPERATOR

          public static final org.apache.calcite.sql.SqlSpecialOperator OPERATOR

  - ### Constructor Detail

    - #### SqlCreateTable

          public SqlCreateTable(org.apache.calcite.sql.parser.SqlParserPos pos,
                                org.apache.calcite.sql.SqlIdentifier tblName,
                                org.apache.calcite.sql.SqlNodeList fieldList,
                                org.apache.calcite.sql.SqlNode inputFormatClass,
                                org.apache.calcite.sql.SqlNode outputFormatClass,
                                org.apache.calcite.sql.SqlNode location,
                                org.apache.calcite.sql.SqlNode parallelism,
                                org.apache.calcite.sql.SqlNode properties,
                                org.apache.calcite.sql.SqlNode query)

  - ### Method Detail

    - #### getOperator

          public org.apache.calcite.sql.SqlOperator getOperator()

      Specified by:
        `getOperator` in class `org.apache.calcite.sql.SqlCall`

    - #### unparse

          public void unparse(org.apache.calcite.sql.SqlWriter writer,
                              int leftPrec,
                              int rightPrec)

      Overrides:
        `unparse` in class `org.apache.calcite.sql.SqlCall`

    - #### getOperandList

          public List<org.apache.calcite.sql.SqlNode> getOperandList()

      Specified by:
        `getOperandList` in class `org.apache.calcite.sql.SqlCall`

    - #### tableName

          public String tableName()

    - #### location

          public URI location()

    - #### parallelism

          public Integer parallelism()

    - #### inputFormatClass

          public String inputFormatClass()

    - #### outputFormatClass

          public String outputFormatClass()

    - #### properties

          public Properties properties()

    - #### fieldList

          public List<ColumnDefinition> fieldList()

Copyright © 2021 The Apache Software Foundation. All rights reserved.